---
sourceDocument: Australia API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/api-reference

 Release :

    - australia

ft:locale :

    - en-US

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Sales CRM Pricing API

# Sales CRM Pricing API {#ariaid-title1}

Release version: Australia  
Updated September 26, 2025  
![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read  
The Sales CRM Pricing API provides methods to calculate prices for transaction lines containing products.
The Sales CRM Pricing is used to calculate prices for transaction lines containing products. It also supports computing rollups at the transaction header level by aggregating values from all lines. In addition,
the Pricing Engine can be used within a configurator to determine the price of products as they are selected or configured.  
The caller has flexibility through various controls to specify whether the engine should compute:

* Prices only
* Costs
* Adjustments (discounts, markup)
* Rollups at line and/or header level
{#sales-crm-pricing-api__ul_wj5_w2p_zgc}

This API belongs to the sn_csm_pricing namespace and requires the \[sn_csm_pricing.pricing_integrator\] role.  
Prerequisite: You need to set up a product offering that consists of these properties:

* Required:
  * Product offering characteristics
  * Unit of measure
  * Price list
  * Price list lines
  * Attribute adjustments
  {#sales-crm-pricing-api__ul_xvf_xdp_zgc}
* Optional
  * Context variables
  * Rule matrices
  {#sales-crm-pricing-api__ul_ryp_zdp_zgc}
{#sales-crm-pricing-api__ul_cxf_vdp_zgc}

## External ID support {#sales-crm-pricing-api__section_os1_nh4_bjc}

With external ID resolution, you can use your own identifiers or codes for selected reference fields instead of a ServiceNow sys_id. For example, you might be integrating with other CRM or ERP systems that do not have a ServiceNow sys_id for its objects. You can use external codes for the following reference fields, including but not limited to:

* Product offering
* Price list
* Unit of measure
{#sales-crm-pricing-api__ul_xds_1k4_bjc}

**Note:** External ID resolution applies to REST API pricing requests only and does not affect UI-based flows. Pricing execution can use internal system IDs, external IDs, or a combination of both IDs in pricing requests as
configured in the context variable mapping.  
Context variable configuration and mapping

As an admin, before submitting a REST API pricing request, create the context variables that define the reference fields for external IDs or codes that are participating in
external ID resolution. You also add the external IDs or codes to the reference tables called by pricing requests. For details on defining context variables, see [External ID support in Sales CRM Pricing API](https://www.servicenow.com/docs/access?context=external-ids-pricingapi&version=australia&pubname=australia-order-management&ft:locale=en-US).  
How external IDs work in pricing requests

**Request intake**

The caller sends a Pricing REST API request that can include:

* External IDs or codes
* ServiceNow sys_ids
* A combination of both

{#sales-crm-pricing-api__ul_yrd_3j4_bjc}

Requests must include (`"use_external_code": true`) in the settings object to enable external code resolution.
* **[Sales CRM Pricing - DELETE - /api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}](https://servicenow-prod.fluidtopics.net/v_RFO65ScvU5529lIaFt2Q)**   
  Terminate a session with a given ID that was established during a configurator session.
* **[Sales CRM Pricing - POST /api/sn_csm_pricing/{api_version}/pricingengine/computePrice](https://servicenow-prod.fluidtopics.net/tZss5gC5P2VeK_0~DavCgg)**   
  Enables callers to compute the price of products specified in the request payload. The pricing settings included in the payload determine and control the execution flow of the Pricing Engine, such as whether to apply validations, adjustments, or rollups.

